eu.smoser.dungeongenerator.util

## Class Counter

- java.lang.Object
- - eu.smoser.dungeongenerator.util.Counter

    public class Counter
    extends java.lang.Object

Stores a counter to give rooms unique numbers

### Constructor Summary

Constructors
Constructor and Description
`Counter()` Constructs the counter with 0

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `Next()` Gives the next number (first increase. then return)
`int` `Peek()` Shows the current number without increasing it

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Counter

    public Counter()

Constructs the counter with 0

### Method Detail

#### Next

    public int Next()

Gives the next number (first increase. then return)

Returns:
  next number

#### Peek

    public int Peek()

Shows the current number without increasing it

Returns:
  current number